Web lists-archives.com

Re: [Samba] samba-tool provision error




On Tue, 26 Feb 2019 09:36:46 +1300
Tim Beale via samba <samba@xxxxxxxxxxxxxxx> wrote:

> Hi,
> 
> It looks like samba is having trouble reading the smb.conf file, so
> I'd suggest double-checking that. From memory, I think you can get
> this exception if the smb.conf file exists, but cannot be parsed
> correctly.
> 
> I think the default location of the smb.conf can vary depending on
> distro/compilation/etc. On ubuntu the default location is
> /usr/local/samba/etc/smb.conf. You could try using testparm - that
> should display the smb.conf location, along with any settings it can
> read.
> 
> Another option might be to override the default path by passing the
> '--configfile=<filepath>' option to the provision command. (You'll
> just get the same headaches in the long-run though, so it's worth
> resolving the underlying smb.conf problem).

This all depends on how the OP compiled Samba, unless he passed
'--prefix=/path/where/to/put/samba' on the ./configure' line, samba
will have ended up in /usr/local/samba, ALL of it.

So, was Samba already installed ?
If so, the OP needs to alter his PATH to put the new Samba install
before the distro install, otherwise he will be running the wrong
samba-tool etc.

Rowland

> 
> Cheers,
> Tim
> 
> On 26/02/19 6:16 AM, Informatico de Neurodesarrollo via samba wrote:
> > Hi friends:
> >
> >  I try provisioning my new samba 4.9.4  with AD-DC capability, after
> > compiling and install my new samba4 and try to provisioning my
> > samba, I get this error:
> >
> > # samba-tool domain provision --interactive
> > ERROR(runtime): uncaught exception - Unable to load default file
> >   File
> > "/usr/lib64/python2.7/site-packages/samba/netcmd/__init__.py", line
> > 176, in _run return self.run(*args, **kwargs)
> >   File "/usr/lib64/python2.7/site-packages/samba/netcmd/domain.py",
> > line 319, in run
> >     lp = sambaopts.get_loadparm()
> >   File "/usr/lib64/python2.7/site-packages/samba/getopt.py", line
> > 92, in get_loadparm
> >     self._lp.load_default()
> >
> >
> > My system is : openSuSE Leap 15
> >
> > What can I do?
> >
> >
> > T.I.A.
> >
> 


-- 
To unsubscribe from this list go to the following URL and read the
instructions:  https://lists.samba.org/mailman/options/samba